---
title: "Close Channel"
slug: "close-channel"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Close Channel

Post/api/v1/channels.close

Remove a channel from the user's list of channels in the workspace sidebar. You can access it again from the **Directory**.

### Changelog

| Version | Description |
| --- | --- |
| 0.48.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='7a28ac2c-2797-4d16-b2fc-ad959bbc5fa5'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='28b00698-bde0-4432-b560-76b7615439ab'>Example</option>
</select>Example

```json
{
  "roomId": "ByehQjC44FwMeiLbX"
}
```

object  roomIdstring    Required

The channel ID that you want to close from your list.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='ef7fdebf-5340-4427-ae49-1de1f45b6cd6'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='ae899889-d976-4d6b-88c3-2a69b58025b3'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='fc2be229-cf18-4e78-8f79-444d84f70e6d'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='dc283295-c3fd-48c4-843e-c97a2eb0ee89'>Channel is already closed</option>
</select>Channel is already closed

```json
{
  "success": false,
  "error": "The channel, dlp, is already closed to the sender"
}
```

object  successboolean    
errorstring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='d0bba5cb-6416-4ee8-9cd4-9311a9de306a'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='37b489e5-5108-44f4-a575-bc62dd6da2c7'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
